Subject: bug#22167: Don't interactively ask questions in script mode

From: Sunil Mohan Adapa <[email-masked]>
Date: Mon, 3 Apr 2017 21:09:51 +0530

tags 22167 - patch
thanks

Sorry, my patches don't solve this problem which seems unrelated.  They
are only applicable for scripted mode.

On 04/03/2017 03:30 PM, Sunil Mohan Adapa wrote:
> 
> Hello,
> 
> The attached patches should fix these issues where interactive prompts
> are shown when one tries to perform 'rm' or 'resizepart' operations with
> mounted partitions.  This avoid workarounds[1].
> 
> The proposal is to not ask for confirmation during 'rm' and 'resizepart'
> operations when run in script mode.  The answer is assumed to be 'yes'
> in both cases.
> 
> Links:
> 
> 1) https://bugs.launchpad.net/ubuntu/+source/parted/+bug/1270203
>